Package org.apache.lucene.codecs.simpletext

## Class SimpleTextKnnVectorsReader

- java.lang.Object
- - org.apache.lucene.codecs.KnnVectorsReader
  - - org.apache.lucene.codecs.simpletext.SimpleTextKnnVectorsReader

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `Accountable`

      public class SimpleTextKnnVectorsReader
      extends KnnVectorsReader

  Reads vector values from a simple text format. All vectors are read up front and cached in RAM in order to support random access. FOR RECREATIONAL USE ONLY
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.util.Accountable

      `NULL_ACCOUNTABLE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkIntegrity()` |
    `void` | `close()` |
    `ByteVectorValues` | `getByteVectorValues​(String field)` |
    `FloatVectorValues` | `getFloatVectorValues​(String field)` |
    `long` | `ramBytesUsed()` |
    `void` | `search​(String field, byte[] target, KnnCollector knnCollector, Bits acceptDocs)` |
    `void` | `search​(String field, float[] target, KnnCollector knnCollector, Bits acceptDocs)` |

    - ### Methods inherited from class org.apache.lucene.codecs.KnnVectorsReader

      `getMergeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.util.Accountable

      `getChildResources`

- - ### Method Detail

    - #### getFloatVectorValues

          public FloatVectorValues getFloatVectorValues​(String field)
                                                 throws IOException

      Specified by:
        `getFloatVectorValues` in class `KnnVectorsReader`
      Throws:
        `IOException`

    - #### getByteVectorValues

          public ByteVectorValues getByteVectorValues​(String field)
                                               throws IOException

      Specified by:
        `getByteVectorValues` in class `KnnVectorsReader`
      Throws:
        `IOException`

    - #### search

          public void search​(String field,
                             float[] target,
                             KnnCollector knnCollector,
                             Bits acceptDocs)
                      throws IOException

      Specified by:
        `search` in class `KnnVectorsReader`
      Throws:
        `IOException`

    - #### search

          public void search​(String field,
                             byte[] target,
                             KnnCollector knnCollector,
                             Bits acceptDocs)
                      throws IOException

      Specified by:
        `search` in class `KnnVectorsReader`
      Throws:
        `IOException`

    - #### checkIntegrity

          public void checkIntegrity()
                              throws IOException

      Specified by:
        `checkIntegrity` in class `KnnVectorsReader`
      Throws:
        `IOException`

    - #### ramBytesUsed

          public long ramBytesUsed()

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`